import javax.naming.*;
import java.util.Properties;
import java.util.Enumeration;
import java.util.Hashtable;
import java.io.*;
import org.exolab.castor.xml.MarshalException;
import org.exolab.castor.xml.ValidationException;

import org.gxos.*;
import org.gxos.config.GXOSConfiguration;
import org.gxos.schema.*;
import org.gxos.schema.types.*;
import org.gxos.debug.Log;
import org.gxos.gndi.context.*;
import org.gxos.xml.*;
import org.gxos.util.*;

import garnet.gateway.schema.*;

public class TestGX2 {

  public static void main(String[] args) {
 
    try {

        String configFile = "gxos.conf";
        Properties env = Defaults.getConfiguration(configFile);

        ContextManager.initialize(env);
        XMLObject gateway = ContextManager.getDatabase("Gateway");

        ApplicationDescription ad = (ApplicationDescription)Defaults.initEntity(
            new ApplicationDescription(), "descriptions", NodeTypeType.COLLECTION,
            NodeRootingType.LEAF);

        ad.setComment("this description comment");

        gateway.addObject(ad);


    } catch(Exception e) {
        e.printStackTrace();
    }
  }
}












